# Command line configurables

%if 0%{?fedora}%{?rhel} == 0 || 0%{?fedora} >= 8 || 0%{?rhel} >= 6
%bcond_without rarian_compat
%else
%bcond_with rarian_compat
%endif

Summary: Documentation for configuring a Samba server
Name: system-config-samba-docs
Version: 1.0.6
Release: 1%{?dist}
URL: https://fedorahosted.org/%{name}
License: GPLv2+
Group: Documentation
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%__id_u -n)
BuildArch: noarch
Source0: http://fedorahosted.org/releases/%(echo %{name} | %{__sed} 's@\(\(.\)\(.\).*\)@\2/\3/\1@')/%{name}-%{version}.tar.bz2
BuildRequires: gettext
BuildRequires: pkgconfig
BuildRequires: gnome-doc-utils
BuildRequires: docbook-dtds
%if %{with rarian_compat}
BuildRequires: rarian-compat
%else
BuildRequires: scrollkeeper
%endif
Obsoletes: system-config-samba < 1.2.68
Requires: system-config-samba >= 1.2.68
Requires: yelp
%if %{with rarian_compat}
Requires: rarian-compat
%else
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
%endif

%description
This package contains the online documentation for system-config-samba which is
a graphical user interface for creating, modifying, and deleting samba shares.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post
%{_bindir}/scrollkeeper-update -q || :

%postun
%{_bindir}/scrollkeeper-update -q || :

%files
%defattr(-,root,root,-)
%doc COPYING
%doc %{_datadir}/omf/system-config-samba
%doc %{_datadir}/gnome/help/system-config-samba

%changelog
* Tue Apr 14 2009 Nils Philippsen <nils@redhat.com> - 1.0.6-1
- add sr@latin structure (#495589, sr@latin.po by Miloš Komarčević)
- pick up updated translations

* Wed Apr 08 2009 Nils Philippsen <nils@redhat.com> - 1.0.5-1
- pull in updated translations

* Thu Dec 18 2008 Nils Philippsen <nils@redhat.com> - 1.0.4-1
- add runtime requirements for rarian-compat/scrollkeeper

* Wed Dec 17 2008 Nils Philippsen <nils@redhat.com>
- add yelp dependency

* Mon Dec 15 2008 Nils Philippsen <nils@redhat.com> - 1.0.3-1
- remove unnecessary "Obsoletes: redhat-config-samba < 1.1.5"

* Mon Dec 08 2008 Nils Philippsen <nils@redhat.com> - 1.0.2-1
- remove unnecessary "Conflicts: system-config-samba < 1.2.68"

* Fri Nov 28 2008 Nils Philippsen <nils@redhat.com> - 1.0.1-1
- separate documentation from system-config-samba
- remove stuff not related to documentation
- add source URL
